package cn.pluss.platform.qrCode.impl;

import cn.pluss.platform.entity.QrCode;
import cn.pluss.platform.mapper.QrCodeMapper;
import cn.pluss.platform.qrCode.QrCodeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("qrcodeService")
public class QrCodeServiceImpl extends ServiceImpl<QrCodeMapper, QrCode> implements QrCodeService {

    @Override
    public void saveQrCode(QrCode qrCode) {
        baseMapper.saveQrCode(qrCode);
    }

    @Override
    public void batchSaveQrCode(List<QrCode> qrCode) {
        baseMapper.batchSaveQrCode(qrCode);
    }

    @Override
    public void updateQrCode(QrCode qrCode) {
        baseMapper.updateQrCode(qrCode);
    }

    @Override
    public List<QrCode> queryQrCodePage(Map map) {
        return baseMapper.queryQrCodePage(map);
    }

    @Override
    public Integer queryQrCodePageCount(Map map) {
        return baseMapper.queryQrCodePageCount(map);
    }

    @Override
    public QrCode getQrCodeByQrNo(String qrNo) {
        return baseMapper.getQrCodeByQrNo(qrNo);
    }

    @Override
    public void deleteQrCodeByIds(String[] ids) {
        baseMapper.deleteQrCodeByIds(ids);
    }

    @Override
    public Integer checkQrNo(List<String> checkQrNo) {
        return baseMapper.checkQrNo(checkQrNo);
    }
}
